## horizon-eda 1.2.0

=== Makefile ===
PKG_CONFIG ?= pkg-config
BUILDDIR    = build
PROGS       = $(addprefix $(BUILDDIR)/horizon-,imp eda)

all: $(PROGS)
pymodule: $(BUILDDIR)/horizon.so

.PHONY: all pymodule

SRC_COMMON = \
	src/util/uuid.cpp \
	src/util/uuid_path.cpp\
	src/util/sqlite.cpp\
	src/util/str_util.cpp\
	src/pool/pool_manager.cpp \
	src/pool/unit.cpp \
	src/pool/symbol.cpp \
	src/pool/part.cpp\
	src/common/common.cpp \
	src/common/junction.cpp \
	src/common/line.cpp \
	src/common/arc.cpp \
	src/common/layer_provider.cpp \
	src/pool/gate.cpp\
	src/block/net.cpp\
	src/block/bus.cpp\
	src/block/block.cpp\
	src/pool/entity.cpp\
	src/block/component.cpp\
	src/block/bom.cpp\
	src/block/bom_export_settings.cpp\
	src/schematic/schematic.cpp\
	src/schematic/sheet.cpp\
	src/common/text.cpp\
	src/schematic/line_net.cpp\
	src/schematic/net_label.cpp\
	src/schematic/bus_label.cpp\
	src/schematic/bus_ripper.cpp\
	src/schematic/schematic_symbol.cpp\
	src/schematic/power_symbol.cpp\
	src/schematic/schematic_rules.cpp\
	src/schematic/rule_single_pin_net.cpp\
	src/common/pdf_export_settings.cpp\
	src/pool/padstack.cpp\
	src/common/polygon.cpp\
	src/common/hole.cpp\
	src/common/shape.cpp\
	src/common/patch_type_names.cpp\
	src/pool/package.cpp\
	src/package/pad.cpp\
	src/package/package_rules.cpp\
	src/package/rule_package_checks.cpp\
	src/board/board.cpp\
	src/board/board_package.cpp\
	src/board/track.cpp\
	src/board/airwire.cpp\
	src/board/via_padstack_provider.cpp\
	src/board/via.cpp\
	src/board/plane.cpp\
	src/board/board_rules.cpp\
	src/board/rule_hole_size.cpp\
	src/board/rule_clearance_silk_exp_copper.cpp\
	src/board/rule_track_width.cpp\
	src/board/rule_clearance_copper.cpp\
	src/board/rule_parameters.cpp\
	src/board/rule_via.cpp\
	src/board/rule_clearance_copper_other.cpp\
	src/board/rule_plane.cpp\
	src/board/rule_diffpair.cpp\
	src/board/rule_preflight_checks.cpp\
	src/board/rule_clearance_copper_keepout.cpp\
	src/board/rule_layer_pair.cpp\
	src/board/airwires.cpp\
	src/board/fab_output_settings.cpp\
	src/board/board_hole.cpp\
	src/board/connection_line.cpp\
	src/board/step_export_settings.cpp\
	src/board/pnp_export_settings.cpp\
	src/board/pnp.cpp\
	src/pool/pool.cpp \
	src/util/placement.cpp\
	src/util/util.cpp\
	src/util/csv.cpp\
	src/common/object_descr.cpp\
	src/block/net_class.cpp\
	src/project/project.cpp\
	src/util/version.cpp\
	src/rules/rules.cpp\
	src/rules/rule.cpp\
	src/rules/rule_descr.cpp\
	src/rules/rule_match.cpp\
	src/rules/rule_match_keepout.cpp\
	src/parameter/program.cpp\
	src/parameter/set.cpp\
	3rd_party/clipper/clipper.cpp\
	src/common/dimension.cpp\
	src/logger/logger.cpp\
	src/parameter/program_polygon.cpp\
	src/frame/frame.cpp\
	src/common/keepout.cpp\
	src/board/board_layers.cpp\
	src/pool/pool_parametric.cpp \
	src/board/included_board.cpp \
	src/board/board_panel.cpp \
	src/pool/pool_cached.cpp\
	src/common/picture.cpp\
	src/util/picture_data.cpp\
	src/util/picture_load.cpp\


ifeq ($(OS),Windows_NT)
    SRC_COMMON += src/util/uuid_win32.cpp
endif
SRC_COMMON_GEN += $(GENDIR)/resources.cpp
SRC_COMMON_GEN += $(GENDIR)/version_gen.cpp
SRC_COMMON_GEN += $(GENDIR)/help_texts.cpp


SRC_CANVAS = \
	src/canvas/canvas.cpp \
	src/canvas/canvas_gl.cpp \
	src/canvas/canvas_cairo.cpp \
	src/canvas/grid.cpp \
	src/canvas/gl_util.cpp \
	src/canvas/pan.cpp \
	src/canvas/render.cpp \
	src/canvas/draw.cpp \
	src/canvas/text.cpp \
	src/canvas/hershey_fonts.cpp \
	src/canvas/drag_selection.cpp \
	src/canvas/selectables.cpp \
	src/canvas/selectables_renderer.cpp \
	src/canvas/hover_prelight.cpp\
	src/canvas/triangle_renderer.cpp\
	src/canvas/image.cpp\
	src/canvas/selection_filter.cpp\
	3rd_party/polypartition/polypartition.cpp\
	src/canvas/marker.cpp\
	src/canvas/annotation.cpp \
	src/canvas/fragment_cache.cpp \
	src/util/text_data.cpp \
	3rd_party/poly2tri/common/shapes.cpp\
	3rd_party/poly2tri/sweep/cdt.cpp\
	3rd_party/poly2tri/sweep/sweep.cpp\
	3rd_party/poly2tri/sweep/sweep_context.cpp\
	3rd_party/poly2tri/sweep/advancing_front.cpp\
	src/util/msd.cpp\
	src/util/msd_animator.cpp\
	src/canvas/appearance.cpp\
	src/canvas/bitmap_font_util.cpp\
	src/canvas/picture_renderer.cpp\

SRC_IMP = \
	src/imp/imp_main.cpp \
	src/imp/main_window.cpp \
	src/imp/imp.cpp \
	src/imp/imp_layer.cpp\
	src/imp/imp_symbol.cpp\
	src/imp/imp_schematic.cpp\
	src/imp/imp_padstack.cpp\
	src/imp/imp_package.cpp\
	src/imp/imp_package_3d.cpp\
	src/imp/imp_board.cpp\
	src/imp/imp_frame.cpp\
	src/imp/tool_popover.cpp\
	src/imp/selection_filter_dialog.cpp\
	src/imp/action.cpp\
	src/imp/action_catalog.cpp\
	src/imp/in_tool_action_catalog.cpp\
	$(SRC_CANVAS) \
	src/document/document.cpp \
	src/document/document_board.cpp \
	src/core/core.cpp \
	src/core/tool.cpp \
	src/core/create_tool.cpp \
	src/core/core_properties.cpp\
	src/core/tools/tool_move.cpp\
	src/core/tools/tool_place_junction.cpp\
	src/core/tools/tool_draw_line.cpp\
	src/core/tools/tool_delete.cpp\
	src/core/tools/tool_draw_arc.cpp\
	src/core/tools/tool_map_pin.cpp\
	src/core/tools/tool_map_symbol.cpp\
	src/core/tools/tool_draw_line_net.cpp\
	src/core/tools/tool_place_text.cpp\
	src/core/tools/tool_place_net_label.cpp\
	src/core/tools/tool_disconnect.cpp\
	src/core/tools/tool_bend_line_net.cpp\
	src/core/tools/tool_move_net_segment.cpp\
	src/core/tools/tool_place_power_symbol.cpp\
	src/core/tools/tool_edit_symbol_pin_names.cpp\
	src/core/tools/tool_place_bus_label.cpp\
	src/core/tools/tool_place_bus_ripper.cpp\
	src/core/tools/tool_manage_buses.cpp\
	src/core/tools/tool_draw_polygon.cpp\
	src/core/tools/tool_enter_datum.cpp\
	src/core/tools/tool_place_hole.cpp\
	src/core/tools/tool_place_pad.cpp\
	src/core/tools/tool_paste.cpp\
	src/core/tools/tool_assign_part.cpp\
	src/core/tools/tool_map_package.cpp\
	src/core/tools/tool_draw_track.cpp\
	src/core/tools/tool_place_via.cpp\
	src/core/tools/tool_drag_keep_slope.cpp\
	src/core/tools/tool_add_part.cpp\
	src/core/tools/tool_smash.cpp\
	src/core/tools/tool_place_shape.cpp\
	src/core/tools/tool_edit_shape.cpp\
	src/core/tools/tool_import_dxf.cpp\
	src/core/tools/tool_edit_pad_parameter_set.cpp\
	src/core/tools/tool_draw_polygon_rectangle.cpp\
	src/core/tools/tool_draw_line_rectangle.cpp\
	src/core/tools/tool_edit_line_rectangle.cpp\
	src/core/tools/tool_helper_map_symbol.cpp\
	src/core/tools/tool_helper_move.cpp\
	src/core/tools/tool_helper_merge.cpp\
	src/core/tools/tool_edit_via.cpp\
	src/core/tools/tool_rotate_arbitrary.cpp\
	src/core/tools/tool_edit_plane.cpp\
	src/core/tools/tool_update_all_planes.cpp\
	src/core/tools/tool_draw_dimension.cpp\
	src/core/tools/tool_set_diffpair.cpp\
	src/core/tools/tool_set_via_net.cpp\
	src/core/tools/tool_lock.cpp\
	src/core/tools/tool_add_vertex.cpp\
	src/core/tools/tool_place_board_hole.cpp\
	src/core/tools/tool_edit_board_hole.cpp\
	src/core/tools/tool_generate_courtyard.cpp\
	src/core/tools/tool_generate_silkscreen.cpp\
	src/core/tools/tool_set_group.cpp\
	src/core/tools/tool_copy_placement.cpp\
	src/core/tools/tool_copy_tracks.cpp\
	src/core/tools/tool_swap_nets.cpp\
	src/core/tools/tool_line_loop_to_polygon.cpp\
	src/core/tools/tool_change_unit.cpp\
	src/core/tools/tool_helper_line_width_setting.cpp\
	src/core/tools/tool_set_nc_all.cpp\
	src/core/tools/tool_set_nc.cpp\
	src/core/tools/tool_add_keepout.cpp\
	src/core/tools/tool_helper_draw_net_setting.cpp\
	src/core/tools/tool_helper_get_symbol.cpp\
	src/core/tools/tool_change_symbol.cpp\
	src/core/tools/tool_place_refdes_and_value.cpp\
	src/core/tools/tool_helper_restrict.cpp\
	src/core/tools/tool_draw_polygon_circle.cpp\
	src/core/tools/tool_draw_connection_line.cpp\
	src/core/tools/tool_backannotate_connection_lines.cpp\
	src/core/tools/tool_import_kicad_package.cpp\
	src/core/tools/tool_smash_silkscreen_graphics.cpp\
	src/core/tools/tool_renumber_pads.cpp\
	src/core/tools/tool_fix.cpp\
	src/core/tools/tool_nopopulate.cpp\
	src/core/tools/tool_polygon_to_line_loop.cpp\
	src/core/tools/tool_place_board_panel.cpp\
	src/core/tools/tool_smash_panel_outline.cpp\
	src/core/tools/tool_smash_package_outline.cpp\
	src/core/tools/tool_resize_symbol.cpp\
	src/core/tools/tool_round_off_vertex.cpp\
	src/core/tools/tool_swap_gates.cpp\
	src/core/tools/tool_place_picture.cpp\
	src/document/documents.cpp\
	src/core/clipboard.cpp\
	src/core/buffer.cpp\
	src/dialogs/map_pin.cpp\
	src/dialogs/map_symbol.cpp\
	src/dialogs/map_package.cpp\
	src/dialogs/ask_net_merge.cpp\
	src/dialogs/select_net.cpp\
	src/dialogs/symbol_pin_names_window.cpp\
	src/dialogs/manage_buses.cpp\
	src/dialogs/ask_datum.cpp\
	src/dialogs/ask_datum_string.cpp\
	src/dialogs/select_via_padstack.cpp\
	src/dialogs/dialogs.cpp\
	src/dialogs/annotate.cpp\
	src/dialogs/edit_shape.cpp\
	src/dialogs/manage_net_classes.cpp\
	src/dialogs/manage_power_nets.cpp\
	src/dialogs/edit_pad_parameter_set.cpp\
	src/dialogs/edit_via.cpp\
	src/dialogs/pool_browser_dialog.cpp\
	src/dialogs/schematic_properties.cpp\
	src/dialogs/edit_plane.cpp\
	src/dialogs/edit_stackup.cpp\
	src/dialogs/edit_board_hole.cpp\
	src/dialogs/edit_frame.cpp\
	src/dialogs/edit_keepout.cpp\
	src/dialogs/select_group_tag.cpp\
	src/dialogs/ask_datum_angle.cpp\
	src/dialogs/tool_window.cpp\
	src/dialogs/renumber_pads_window.cpp\
	src/dialogs/generate_silkscreen_window.cpp\
	src/dialogs/select_included_board.cpp\
	src/dialogs/manage_included_boards.cpp\
	src/dialogs/enter_datum_window.cpp\
	src/dialogs/router_settings_window.cpp\
	src/util/sort_controller.cpp\
	src/core/core_symbol.cpp\
	src/core/core_schematic.cpp\
	src/core/core_padstack.cpp\
	src/core/core_package.cpp\
	src/core/core_board.cpp\
	src/core/core_frame.cpp\
	src/property_panels/property_panels.cpp\
	src/property_panels/property_panel.cpp\
	src/property_panels/property_editor.cpp\
	src/widgets/warnings_box.cpp\
	src/widgets/net_selector.cpp\
	src/widgets/sheet_box.cpp \
	src/widgets/net_button.cpp\
	src/widgets/layer_box.cpp\
	src/widgets/spin_button_dim.cpp\
	src/widgets/chooser_buttons.cpp\
	src/widgets/cell_renderer_color_box.cpp\
	src/widgets/net_class_button.cpp\
	src/widgets/parameter_set_editor.cpp\
	src/widgets/pool_browser.cpp\
	src/widgets/component_selector.cpp\
	src/widgets/component_button.cpp\
	src/widgets/preview_canvas.cpp\
	src/widgets/about_dialog.cpp\
	src/widgets/project_meta_editor.cpp\
	src/export_pdf/canvas_pdf.cpp\
	src/export_pdf/export_pdf.cpp\
	src/export_pdf/export_pdf_board.cpp\
	src/imp/keyseq_dialog.cpp\
	src/canvas/canvas_patch.cpp\
	src/export_gerber/gerber_writer.cpp\
	src/export_gerber/excellon_writer.cpp\
	src/export_gerber/gerber_export.cpp\
	src/export_gerber/canvas_gerber.cpp\
	src/export_gerber/hash.cpp\
	src/imp/footprint_generator/footprint_generator_window.cpp\
	src/imp/footprint_generator/footprint_generator_base.cpp\
	src/imp/footprint_generator/footprint_generator_dual.cpp\
	src/imp/footprint_generator/footprint_generator_single.cpp\
	src/imp/footprint_generator/footprint_generator_quad.cpp\
	src/imp/footprint_generator/footprint_generator_grid.cpp\
	src/imp/footprint_generator/svg_overlay.cpp\
	src/imp/footprint_generator/footprint_generator_footag.cpp\
	src/imp/footprint_generator/footag/display.cpp\
	src/imp/imp_interface.cpp\
	src/imp/parameter_window.cpp\
	src/widgets/pool_browser_part.cpp\
	src/widgets/pool_browser_entity.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_package.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_unit.cpp\
	src/widgets/pool_browser_symbol.cpp\
	src/widgets/pool_browser_frame.cpp\
	src/widgets/pool_browser_stockinfo.cpp\
	src/widgets/plane_editor.cpp\
	src/widgets/title_block_values_editor.cpp\
	3rd_party/dxflib/dl_dxf.cpp\
	3rd_party/dxflib/dl_writer_ascii.cpp\
	src/import_dxf/dxf_importer.cpp\
	src/imp/rules/rules_window.cpp\
	src/imp/rules/rule_editor.cpp\
	src/imp/rules/rule_match_editor.cpp\
	src/imp/rules/rule_match_keepout_editor.cpp\
	src/imp/rules/rule_editor_hole_size.cpp\
	src/imp/rules/rule_editor_clearance_silk_exp_copper.cpp\
	src/imp/rules/rule_editor_track_width.cpp\
	src/imp/rules/rule_editor_clearance_copper.cpp\

=== debian/changelog ===
horizon-eda (1.2.0-3) unstable; urgency=medium

  * add missing build depend dh-python

 -- Uwe Steinmann <steinm@debian.org>  Fri, 31 Jul 2020 11:51:17 +0200

horizon-eda (1.2.0-2) unstable; urgency=medium

  * add missing build depend libpython3-dev

 -- Uwe Steinmann <steinm@debian.org>  Fri, 31 Jul 2020 07:51:56 +0200

horizon-eda (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * remove man pages for horizon-pool and horizon-prj
  * compile python module

 -- Uwe Steinmann <steinm@debian.org>  Thu, 30 Jul 2020 14:40:31 +0200

horizon-eda (1.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Tue, 05 May 2020 12:34:45 +0200

=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Uwe Steinmann <steinm@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 10), doxygen,
 libyaml-cpp-dev, libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
 liboce-ocaf-dev, libdxflib-dev,
 libzip-dev, libglib2.0-dev, libpodofo-dev, python3-cairo-dev, libosmesa6-dev,
 libpython3-dev, dh-python
Standards-Version: 4.4.0
Homepage: https://horizon-eda.org/
Rules-requires-root: no

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: EDA layout and schematic application
 Horizon is an Electronic Design Automation (EDA) tool for circuit
 board design. It manages the full design flow from schematic entry
 to gerber export. The main differentiator from KiCAD is a different
 (more sane) part library design. It is quite new software in 2018
 so may have rough edges but is already very capable.
 .
 Notable features:
  * Sane library management
  * Unified editor for everything from symbol to board
  * Netlist-aware schematic editor
  * KiCad's awesome interactive router
  * Lag- and glitch-free rendering
  * Rule-based DRC
  * Undo/redo
  * Copy/paste for some objects
  * Builds and runs on Linux and Windows

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	doxygen doxygen.config
	make pymodule
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
#	mkdir -p $(CURDIR)/debian/usr/lib/python3.8/dist-packages
#	cp build/horizon.so $(CURDIR)/debian/usr/lib/python3.8/dist-packages/
	mv build/horizon.so .
	dh_python3

override_dh_clean:
	-rm -r docs
	-rm -r horizon.so
	-rm -f src/preferences/color_presets.json
	dh_clean

#generate a version file from the git repo.
#release-time, not build time.
version:
	echo "const char *gitversion = \"$(shell git log -1 --pretty="format:%h %ci %s")\";" > $@

.phony: version

## horizon-eda 1.3.0

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	src/package/pad.cpp\
 	src/package/package_rules.cpp\
 	src/package/rule_package_checks.cpp\
+	src/package/rule_clearance_package.cpp\
 	src/board/board.cpp\
 	src/board/board_package.cpp\
 	src/board/track.cpp\
@@ -70,6 +71,7 @@
 	src/board/rule_preflight_checks.cpp\
 	src/board/rule_clearance_copper_keepout.cpp\
 	src/board/rule_layer_pair.cpp\
+	src/board/rule_clearance_same_net.cpp\
 	src/board/airwires.cpp\
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
@@ -77,6 +79,7 @@
 	src/board/step_export_settings.cpp\
 	src/board/pnp_export_settings.cpp\
 	src/board/pnp.cpp\
+	src/board/board_decal.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -106,6 +109,10 @@
 	src/common/picture.cpp\
 	src/util/picture_data.cpp\
 	src/util/picture_load.cpp\
+	src/pool/decal.cpp\
+	src/symbol/symbol_rules.cpp\
+	src/symbol/rule_symbol_checks.cpp\
+	src/util/file_version.cpp
 
 
 ifeq ($(OS),Windows_NT)
@@ -154,6 +161,10 @@
 	src/imp/imp_main.cpp \
 	src/imp/main_window.cpp \
 	src/imp/imp.cpp \
+	src/imp/imp_search.cpp \
+	src/imp/imp_key.cpp \
+	src/imp/imp_hud.cpp \
+	src/imp/imp_action.cpp \
 	src/imp/imp_layer.cpp\
 	src/imp/imp_symbol.cpp\
 	src/imp/imp_schematic.cpp\
@@ -162,6 +173,7 @@
 	src/imp/imp_package_3d.cpp\
 	src/imp/imp_board.cpp\
 	src/imp/imp_frame.cpp\
+	src/imp/imp_decal.cpp\
 	src/imp/tool_popover.cpp\
 	src/imp/selection_filter_dialog.cpp\
 	src/imp/action.cpp\
@@ -211,6 +223,7 @@
 	src/core/tools/tool_draw_polygon_rectangle.cpp\
 	src/core/tools/tool_draw_line_rectangle.cpp\
 	src/core/tools/tool_edit_line_rectangle.cpp\
+	src/core/tools/tool_draw_line_circle.cpp\
 	src/core/tools/tool_helper_map_symbol.cpp\
 	src/core/tools/tool_helper_move.cpp\
 	src/core/tools/tool_helper_merge.cpp\
@@ -258,6 +271,7 @@
 	src/core/tools/tool_round_off_vertex.cpp\
 	src/core/tools/tool_swap_gates.cpp\
 	src/core/tools/tool_place_picture.cpp\
+	src/core/tools/tool_place_decal.cpp\
 	src/document/documents.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
@@ -301,6 +315,7 @@
 	src/core/core_package.cpp\
 	src/core/core_board.cpp\
 	src/core/core_frame.cpp\
+	src/core/core_decal.cpp\
 	src/property_panels/property_panels.cpp\
 	src/property_panels/property_panel.cpp\
 	src/property_panels/property_editor.cpp\
@@ -349,17 +364,6 @@
 	src/widgets/pool_browser_unit.cpp\
 	src/widgets/pool_browser_symbol.cpp\
 	src/widgets/pool_browser_frame.cpp\
+	src/widgets/pool_browser_decal.cpp\
 	src/widgets/pool_browser_stockinfo.cpp\
 	src/widgets/plane_editor.cpp\
-	src/widgets/title_block_values_editor.cpp\
-	3rd_party/dxflib/dl_dxf.cpp\
-	3rd_party/dxflib/dl_writer_ascii.cpp\
-	src/import_dxf/dxf_importer.cpp\
-	src/imp/rules/rules_window.cpp\
-	src/imp/rules/rule_editor.cpp\
-	src/imp/rules/rule_match_editor.cpp\
-	src/imp/rules/rule_match_keepout_editor.cpp\
-	src/imp/rules/rule_editor_hole_size.cpp\
-	src/imp/rules/rule_editor_clearance_silk_exp_copper.cpp\
-	src/imp/rules/rule_editor_track_width.cpp\
-	src/imp/rules/rule_editor_clearance_copper.cpp\

=== .pc/03-use-system-dxflib.patch/Makefile ===
PKG_CONFIG ?= pkg-config
BUILDDIR    = build
PROGS       = $(addprefix $(BUILDDIR)/horizon-,imp eda)

all: $(PROGS)
pymodule: $(BUILDDIR)/horizon.so

.PHONY: all pymodule

SRC_COMMON = \
	src/util/uuid.cpp \
	src/util/uuid_path.cpp\
	src/util/sqlite.cpp\
	src/util/str_util.cpp\
	src/pool/pool_manager.cpp \
	src/pool/unit.cpp \
	src/pool/symbol.cpp \
	src/pool/part.cpp\
	src/common/common.cpp \
	src/common/junction.cpp \
	src/common/line.cpp \
	src/common/arc.cpp \
	src/common/layer_provider.cpp \
	src/pool/gate.cpp\
	src/block/net.cpp\
	src/block/bus.cpp\
	src/block/block.cpp\
	src/pool/entity.cpp\
	src/block/component.cpp\
	src/block/bom.cpp\
	src/block/bom_export_settings.cpp\
	src/schematic/schematic.cpp\
	src/schematic/sheet.cpp\
	src/common/text.cpp\
	src/schematic/line_net.cpp\
	src/schematic/net_label.cpp\
	src/schematic/bus_label.cpp\
	src/schematic/bus_ripper.cpp\
	src/schematic/schematic_symbol.cpp\
	src/schematic/power_symbol.cpp\
	src/schematic/schematic_rules.cpp\
	src/schematic/rule_single_pin_net.cpp\
	src/common/pdf_export_settings.cpp\
	src/pool/padstack.cpp\
	src/common/polygon.cpp\
	src/common/hole.cpp\
	src/common/shape.cpp\
	src/common/patch_type_names.cpp\
	src/pool/package.cpp\
	src/package/pad.cpp\
	src/package/package_rules.cpp\
	src/package/rule_package_checks.cpp\
	src/package/rule_clearance_package.cpp\
	src/board/board.cpp\
	src/board/board_package.cpp\
	src/board/track.cpp\
	src/board/airwire.cpp\
	src/board/via_padstack_provider.cpp\
	src/board/via.cpp\
	src/board/plane.cpp\
	src/board/board_rules.cpp\
	src/board/rule_hole_size.cpp\
	src/board/rule_clearance_silk_exp_copper.cpp\
	src/board/rule_track_width.cpp\
	src/board/rule_clearance_copper.cpp\
	src/board/rule_parameters.cpp\
	src/board/rule_via.cpp\
	src/board/rule_clearance_copper_other.cpp\
	src/board/rule_plane.cpp\
	src/board/rule_diffpair.cpp\
	src/board/rule_preflight_checks.cpp\
	src/board/rule_clearance_copper_keepout.cpp\
	src/board/rule_layer_pair.cpp\
	src/board/rule_clearance_same_net.cpp\
	src/board/airwires.cpp\
	src/board/fab_output_settings.cpp\
	src/board/board_hole.cpp\
	src/board/connection_line.cpp\
	src/board/step_export_settings.cpp\
	src/board/pnp_export_settings.cpp\
	src/board/pnp.cpp\
	src/board/board_decal.cpp\
	src/pool/pool.cpp \
	src/util/placement.cpp\
	src/util/util.cpp\
	src/util/csv.cpp\
	src/common/object_descr.cpp\
	src/block/net_class.cpp\
	src/project/project.cpp\
	src/util/version.cpp\
	src/rules/rules.cpp\
	src/rules/rule.cpp\
	src/rules/rule_descr.cpp\
	src/rules/rule_match.cpp\
	src/rules/rule_match_keepout.cpp\
	src/parameter/program.cpp\
	src/parameter/set.cpp\
	3rd_party/clipper/clipper.cpp\
	src/common/dimension.cpp\
	src/logger/logger.cpp\
	src/parameter/program_polygon.cpp\
	src/frame/frame.cpp\
	src/common/keepout.cpp\
	src/board/board_layers.cpp\
	src/pool/pool_parametric.cpp \
	src/board/included_board.cpp \
	src/board/board_panel.cpp \
	src/pool/pool_cached.cpp\
	src/common/picture.cpp\
	src/util/picture_data.cpp\
	src/util/picture_load.cpp\
	src/pool/decal.cpp\
	src/symbol/symbol_rules.cpp\
	src/symbol/rule_symbol_checks.cpp\
	src/util/file_version.cpp


ifeq ($(OS),Windows_NT)
    SRC_COMMON += src/util/uuid_win32.cpp
endif
SRC_COMMON_GEN += $(GENDIR)/resources.cpp
SRC_COMMON_GEN += $(GENDIR)/version_gen.cpp
SRC_COMMON_GEN += $(GENDIR)/help_texts.cpp


SRC_CANVAS = \
	src/canvas/canvas.cpp \
	src/canvas/canvas_gl.cpp \
	src/canvas/canvas_cairo.cpp \
	src/canvas/grid.cpp \
	src/canvas/gl_util.cpp \
	src/canvas/pan.cpp \
	src/canvas/render.cpp \
	src/canvas/draw.cpp \
	src/canvas/text.cpp \
	src/canvas/hershey_fonts.cpp \
	src/canvas/drag_selection.cpp \
	src/canvas/selectables.cpp \
	src/canvas/selectables_renderer.cpp \
	src/canvas/hover_prelight.cpp\
	src/canvas/triangle_renderer.cpp\
	src/canvas/image.cpp\
	src/canvas/selection_filter.cpp\
	3rd_party/polypartition/polypartition.cpp\
	src/canvas/marker.cpp\
	src/canvas/annotation.cpp \
	src/canvas/fragment_cache.cpp \
	src/util/text_data.cpp \
	3rd_party/poly2tri/common/shapes.cpp\
	3rd_party/poly2tri/sweep/cdt.cpp\
	3rd_party/poly2tri/sweep/sweep.cpp\
	3rd_party/poly2tri/sweep/sweep_context.cpp\
	3rd_party/poly2tri/sweep/advancing_front.cpp\
	src/util/msd.cpp\
	src/util/msd_animator.cpp\
	src/canvas/appearance.cpp\
	src/canvas/bitmap_font_util.cpp\
	src/canvas/picture_renderer.cpp\

SRC_IMP = \
	src/imp/imp_main.cpp \
	src/imp/main_window.cpp \
	src/imp/imp.cpp \
	src/imp/imp_search.cpp \
	src/imp/imp_key.cpp \
	src/imp/imp_hud.cpp \
	src/imp/imp_action.cpp \
	src/imp/imp_layer.cpp\
	src/imp/imp_symbol.cpp\
	src/imp/imp_schematic.cpp\
	src/imp/imp_padstack.cpp\
	src/imp/imp_package.cpp\
	src/imp/imp_package_3d.cpp\
	src/imp/imp_board.cpp\
	src/imp/imp_frame.cpp\
	src/imp/imp_decal.cpp\
	src/imp/tool_popover.cpp\
	src/imp/selection_filter_dialog.cpp\
	src/imp/action.cpp\
	src/imp/action_catalog.cpp\
	src/imp/in_tool_action_catalog.cpp\
	$(SRC_CANVAS) \
	src/document/document.cpp \
	src/document/document_board.cpp \
	src/core/core.cpp \
	src/core/tool.cpp \
	src/core/create_tool.cpp \
	src/core/core_properties.cpp\
	src/core/tools/tool_move.cpp\
	src/core/tools/tool_place_junction.cpp\
	src/core/tools/tool_draw_line.cpp\
	src/core/tools/tool_delete.cpp\
	src/core/tools/tool_draw_arc.cpp\
	src/core/tools/tool_map_pin.cpp\
	src/core/tools/tool_map_symbol.cpp\
	src/core/tools/tool_draw_line_net.cpp\
	src/core/tools/tool_place_text.cpp\
	src/core/tools/tool_place_net_label.cpp\
	src/core/tools/tool_disconnect.cpp\
	src/core/tools/tool_bend_line_net.cpp\
	src/core/tools/tool_move_net_segment.cpp\
	src/core/tools/tool_place_power_symbol.cpp\
	src/core/tools/tool_edit_symbol_pin_names.cpp\
	src/core/tools/tool_place_bus_label.cpp\
	src/core/tools/tool_place_bus_ripper.cpp\
	src/core/tools/tool_manage_buses.cpp\
	src/core/tools/tool_draw_polygon.cpp\
	src/core/tools/tool_enter_datum.cpp\
	src/core/tools/tool_place_hole.cpp\
	src/core/tools/tool_place_pad.cpp\
	src/core/tools/tool_paste.cpp\
	src/core/tools/tool_assign_part.cpp\
	src/core/tools/tool_map_package.cpp\
	src/core/tools/tool_draw_track.cpp\
	src/core/tools/tool_place_via.cpp\
	src/core/tools/tool_drag_keep_slope.cpp\
	src/core/tools/tool_add_part.cpp\
	src/core/tools/tool_smash.cpp\
	src/core/tools/tool_place_shape.cpp\
	src/core/tools/tool_edit_shape.cpp\
	src/core/tools/tool_import_dxf.cpp\
	src/core/tools/tool_edit_pad_parameter_set.cpp\
	src/core/tools/tool_draw_polygon_rectangle.cpp\
	src/core/tools/tool_draw_line_rectangle.cpp\
	src/core/tools/tool_edit_line_rectangle.cpp\
	src/core/tools/tool_draw_line_circle.cpp\
	src/core/tools/tool_helper_map_symbol.cpp\
	src/core/tools/tool_helper_move.cpp\
	src/core/tools/tool_helper_merge.cpp\
	src/core/tools/tool_edit_via.cpp\
	src/core/tools/tool_rotate_arbitrary.cpp\
	src/core/tools/tool_edit_plane.cpp\
	src/core/tools/tool_update_all_planes.cpp\
	src/core/tools/tool_draw_dimension.cpp\
	src/core/tools/tool_set_diffpair.cpp\
	src/core/tools/tool_set_via_net.cpp\
	src/core/tools/tool_lock.cpp\
	src/core/tools/tool_add_vertex.cpp\
	src/core/tools/tool_place_board_hole.cpp\
	src/core/tools/tool_edit_board_hole.cpp\
	src/core/tools/tool_generate_courtyard.cpp\
	src/core/tools/tool_generate_silkscreen.cpp\
	src/core/tools/tool_set_group.cpp\
	src/core/tools/tool_copy_placement.cpp\
	src/core/tools/tool_copy_tracks.cpp\
	src/core/tools/tool_swap_nets.cpp\
	src/core/tools/tool_line_loop_to_polygon.cpp\
	src/core/tools/tool_change_unit.cpp\
	src/core/tools/tool_helper_line_width_setting.cpp\
	src/core/tools/tool_set_nc_all.cpp\
	src/core/tools/tool_set_nc.cpp\
	src/core/tools/tool_add_keepout.cpp\
	src/core/tools/tool_helper_draw_net_setting.cpp\
	src/core/tools/tool_helper_get_symbol.cpp\
	src/core/tools/tool_change_symbol.cpp\
	src/core/tools/tool_place_refdes_and_value.cpp\
	src/core/tools/tool_helper_restrict.cpp\
	src/core/tools/tool_draw_polygon_circle.cpp\
	src/core/tools/tool_draw_connection_line.cpp\
	src/core/tools/tool_backannotate_connection_lines.cpp\
	src/core/tools/tool_import_kicad_package.cpp\
	src/core/tools/tool_smash_silkscreen_graphics.cpp\
	src/core/tools/tool_renumber_pads.cpp\
	src/core/tools/tool_fix.cpp\
	src/core/tools/tool_nopopulate.cpp\
	src/core/tools/tool_polygon_to_line_loop.cpp\
	src/core/tools/tool_place_board_panel.cpp\
	src/core/tools/tool_smash_panel_outline.cpp\
	src/core/tools/tool_smash_package_outline.cpp\
	src/core/tools/tool_resize_symbol.cpp\
	src/core/tools/tool_round_off_vertex.cpp\
	src/core/tools/tool_swap_gates.cpp\
	src/core/tools/tool_place_picture.cpp\
	src/core/tools/tool_place_decal.cpp\
	src/document/documents.cpp\
	src/core/clipboard.cpp\
	src/core/buffer.cpp\
	src/dialogs/map_pin.cpp\
	src/dialogs/map_symbol.cpp\
	src/dialogs/map_package.cpp\
	src/dialogs/ask_net_merge.cpp\
	src/dialogs/select_net.cpp\
	src/dialogs/symbol_pin_names_window.cpp\
	src/dialogs/manage_buses.cpp\
	src/dialogs/ask_datum.cpp\
	src/dialogs/ask_datum_string.cpp\
	src/dialogs/select_via_padstack.cpp\
	src/dialogs/dialogs.cpp\
	src/dialogs/annotate.cpp\
	src/dialogs/edit_shape.cpp\
	src/dialogs/manage_net_classes.cpp\
	src/dialogs/manage_power_nets.cpp\
	src/dialogs/edit_pad_parameter_set.cpp\
	src/dialogs/edit_via.cpp\
	src/dialogs/pool_browser_dialog.cpp\
	src/dialogs/schematic_properties.cpp\
	src/dialogs/edit_plane.cpp\
	src/dialogs/edit_stackup.cpp\
	src/dialogs/edit_board_hole.cpp\
	src/dialogs/edit_frame.cpp\
	src/dialogs/edit_keepout.cpp\
	src/dialogs/select_group_tag.cpp\
	src/dialogs/ask_datum_angle.cpp\
	src/dialogs/tool_window.cpp\
	src/dialogs/renumber_pads_window.cpp\
	src/dialogs/generate_silkscreen_window.cpp\
	src/dialogs/select_included_board.cpp\
	src/dialogs/manage_included_boards.cpp\
	src/dialogs/enter_datum_window.cpp\
	src/dialogs/router_settings_window.cpp\
	src/util/sort_controller.cpp\
	src/core/core_symbol.cpp\
	src/core/core_schematic.cpp\
	src/core/core_padstack.cpp\
	src/core/core_package.cpp\
	src/core/core_board.cpp\
	src/core/core_frame.cpp\
	src/core/core_decal.cpp\
	src/property_panels/property_panels.cpp\
	src/property_panels/property_panel.cpp\
	src/property_panels/property_editor.cpp\
	src/widgets/warnings_box.cpp\
	src/widgets/net_selector.cpp\
	src/widgets/sheet_box.cpp \
	src/widgets/net_button.cpp\
	src/widgets/layer_box.cpp\
	src/widgets/spin_button_dim.cpp\
	src/widgets/chooser_buttons.cpp\
	src/widgets/cell_renderer_color_box.cpp\
	src/widgets/net_class_button.cpp\
	src/widgets/parameter_set_editor.cpp\
	src/widgets/pool_browser.cpp\
	src/widgets/component_selector.cpp\
	src/widgets/component_button.cpp\
	src/widgets/preview_canvas.cpp\
	src/widgets/about_dialog.cpp\
	src/widgets/project_meta_editor.cpp\
	src/export_pdf/canvas_pdf.cpp\
	src/export_pdf/export_pdf.cpp\
	src/export_pdf/export_pdf_board.cpp\
	src/imp/keyseq_dialog.cpp\
	src/canvas/canvas_patch.cpp\
	src/export_gerber/gerber_writer.cpp\
	src/export_gerber/excellon_writer.cpp\
	src/export_gerber/gerber_export.cpp\
	src/export_gerber/canvas_gerber.cpp\
	src/export_gerber/hash.cpp\
	src/imp/footprint_generator/footprint_generator_window.cpp\
	src/imp/footprint_generator/footprint_generator_base.cpp\
	src/imp/footprint_generator/footprint_generator_dual.cpp\
	src/imp/footprint_generator/footprint_generator_single.cpp\
	src/imp/footprint_generator/footprint_generator_quad.cpp\
	src/imp/footprint_generator/footprint_generator_grid.cpp\
	src/imp/footprint_generator/svg_overlay.cpp\
	src/imp/footprint_generator/footprint_generator_footag.cpp\
	src/imp/footprint_generator/footag/display.cpp\
	src/imp/imp_interface.cpp\
	src/imp/parameter_window.cpp\
	src/widgets/pool_browser_part.cpp\
	src/widgets/pool_browser_entity.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_package.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_unit.cpp\
	src/widgets/pool_browser_symbol.cpp\
	src/widgets/pool_browser_frame.cpp\
	src/widgets/pool_browser_decal.cpp\
	src/widgets/pool_browser_stockinfo.cpp\
	src/widgets/plane_editor.cpp\

=== .pc/buildflags.patch/Makefile ===
PKG_CONFIG ?= pkg-config
BUILDDIR    = build
PROGS       = $(addprefix $(BUILDDIR)/horizon-,imp eda)

all: $(PROGS)
pymodule: $(BUILDDIR)/horizon.so

.PHONY: all pymodule

SRC_COMMON = \
	src/util/uuid.cpp \
	src/util/uuid_path.cpp\
	src/util/sqlite.cpp\
	src/util/str_util.cpp\
	src/pool/pool_manager.cpp \
	src/pool/unit.cpp \
	src/pool/symbol.cpp \
	src/pool/part.cpp\
	src/common/common.cpp \
	src/common/junction.cpp \
	src/common/line.cpp \
	src/common/arc.cpp \
	src/common/layer_provider.cpp \
	src/pool/gate.cpp\
	src/block/net.cpp\
	src/block/bus.cpp\
	src/block/block.cpp\
	src/pool/entity.cpp\
	src/block/component.cpp\
	src/block/bom.cpp\
	src/block/bom_export_settings.cpp\
	src/schematic/schematic.cpp\
	src/schematic/sheet.cpp\
	src/common/text.cpp\
	src/schematic/line_net.cpp\
	src/schematic/net_label.cpp\
	src/schematic/bus_label.cpp\
	src/schematic/bus_ripper.cpp\
	src/schematic/schematic_symbol.cpp\
	src/schematic/power_symbol.cpp\
	src/schematic/schematic_rules.cpp\
	src/schematic/rule_single_pin_net.cpp\
	src/common/pdf_export_settings.cpp\
	src/pool/padstack.cpp\
	src/common/polygon.cpp\
	src/common/hole.cpp\
	src/common/shape.cpp\
	src/common/patch_type_names.cpp\
	src/pool/package.cpp\
	src/package/pad.cpp\
	src/package/package_rules.cpp\
	src/package/rule_package_checks.cpp\
	src/package/rule_clearance_package.cpp\
	src/board/board.cpp\
	src/board/board_package.cpp\
	src/board/track.cpp\
	src/board/airwire.cpp\
	src/board/via_padstack_provider.cpp\
	src/board/via.cpp\
	src/board/plane.cpp\
	src/board/board_rules.cpp\
	src/board/rule_hole_size.cpp\
	src/board/rule_clearance_silk_exp_copper.cpp\
	src/board/rule_track_width.cpp\
	src/board/rule_clearance_copper.cpp\
	src/board/rule_parameters.cpp\
	src/board/rule_via.cpp\
	src/board/rule_clearance_copper_other.cpp\
	src/board/rule_plane.cpp\
	src/board/rule_diffpair.cpp\
	src/board/rule_preflight_checks.cpp\
	src/board/rule_clearance_copper_keepout.cpp\
	src/board/rule_layer_pair.cpp\
	src/board/rule_clearance_same_net.cpp\
	src/board/airwires.cpp\
	src/board/fab_output_settings.cpp\
	src/board/board_hole.cpp\
	src/board/connection_line.cpp\
	src/board/step_export_settings.cpp\
	src/board/pnp_export_settings.cpp\
	src/board/pnp.cpp\
	src/board/board_decal.cpp\
	src/pool/pool.cpp \
	src/util/placement.cpp\
	src/util/util.cpp\
	src/util/csv.cpp\
	src/common/object_descr.cpp\
	src/block/net_class.cpp\
	src/project/project.cpp\
	src/util/version.cpp\
	src/rules/rules.cpp\
	src/rules/rule.cpp\
	src/rules/rule_descr.cpp\
	src/rules/rule_match.cpp\
	src/rules/rule_match_keepout.cpp\
	src/parameter/program.cpp\
	src/parameter/set.cpp\
	3rd_party/clipper/clipper.cpp\
	src/common/dimension.cpp\
	src/logger/logger.cpp\
	src/parameter/program_polygon.cpp\
	src/frame/frame.cpp\
	src/common/keepout.cpp\
	src/board/board_layers.cpp\
	src/pool/pool_parametric.cpp \
	src/board/included_board.cpp \
	src/board/board_panel.cpp \
	src/pool/pool_cached.cpp\
	src/common/picture.cpp\
	src/util/picture_data.cpp\
	src/util/picture_load.cpp\
	src/pool/decal.cpp\
	src/symbol/symbol_rules.cpp\
	src/symbol/rule_symbol_checks.cpp\
	src/util/file_version.cpp


ifeq ($(OS),Windows_NT)
    SRC_COMMON += src/util/uuid_win32.cpp
endif
SRC_COMMON_GEN += $(GENDIR)/resources.cpp
SRC_COMMON_GEN += $(GENDIR)/version_gen.cpp
SRC_COMMON_GEN += $(GENDIR)/help_texts.cpp


SRC_CANVAS = \
	src/canvas/canvas.cpp \
	src/canvas/canvas_gl.cpp \
	src/canvas/canvas_cairo.cpp \
	src/canvas/grid.cpp \
	src/canvas/gl_util.cpp \
	src/canvas/pan.cpp \
	src/canvas/render.cpp \
	src/canvas/draw.cpp \
	src/canvas/text.cpp \
	src/canvas/hershey_fonts.cpp \
	src/canvas/drag_selection.cpp \
	src/canvas/selectables.cpp \
	src/canvas/selectables_renderer.cpp \
	src/canvas/hover_prelight.cpp\
	src/canvas/triangle_renderer.cpp\
	src/canvas/image.cpp\
	src/canvas/selection_filter.cpp\
	3rd_party/polypartition/polypartition.cpp\
	src/canvas/marker.cpp\
	src/canvas/annotation.cpp \
	src/canvas/fragment_cache.cpp \
	src/util/text_data.cpp \
	3rd_party/poly2tri/common/shapes.cpp\
	3rd_party/poly2tri/sweep/cdt.cpp\
	3rd_party/poly2tri/sweep/sweep.cpp\
	3rd_party/poly2tri/sweep/sweep_context.cpp\
	3rd_party/poly2tri/sweep/advancing_front.cpp\
	src/util/msd.cpp\
	src/util/msd_animator.cpp\
	src/canvas/appearance.cpp\
	src/canvas/bitmap_font_util.cpp\
	src/canvas/picture_renderer.cpp\

SRC_IMP = \
	src/imp/imp_main.cpp \
	src/imp/main_window.cpp \
	src/imp/imp.cpp \
	src/imp/imp_search.cpp \
	src/imp/imp_key.cpp \
	src/imp/imp_hud.cpp \
	src/imp/imp_action.cpp \
	src/imp/imp_layer.cpp\
	src/imp/imp_symbol.cpp\
	src/imp/imp_schematic.cpp\
	src/imp/imp_padstack.cpp\
	src/imp/imp_package.cpp\
	src/imp/imp_package_3d.cpp\
	src/imp/imp_board.cpp\
	src/imp/imp_frame.cpp\
	src/imp/imp_decal.cpp\
	src/imp/tool_popover.cpp\
	src/imp/selection_filter_dialog.cpp\
	src/imp/action.cpp\
	src/imp/action_catalog.cpp\
	src/imp/in_tool_action_catalog.cpp\
	$(SRC_CANVAS) \
	src/document/document.cpp \
	src/document/document_board.cpp \
	src/core/core.cpp \
	src/core/tool.cpp \
	src/core/create_tool.cpp \
	src/core/core_properties.cpp\
	src/core/tools/tool_move.cpp\
	src/core/tools/tool_place_junction.cpp\
	src/core/tools/tool_draw_line.cpp\
	src/core/tools/tool_delete.cpp\
	src/core/tools/tool_draw_arc.cpp\
	src/core/tools/tool_map_pin.cpp\
	src/core/tools/tool_map_symbol.cpp\
	src/core/tools/tool_draw_line_net.cpp\
	src/core/tools/tool_place_text.cpp\
	src/core/tools/tool_place_net_label.cpp\
	src/core/tools/tool_disconnect.cpp\
	src/core/tools/tool_bend_line_net.cpp\
	src/core/tools/tool_move_net_segment.cpp\
	src/core/tools/tool_place_power_symbol.cpp\
	src/core/tools/tool_edit_symbol_pin_names.cpp\
	src/core/tools/tool_place_bus_label.cpp\
	src/core/tools/tool_place_bus_ripper.cpp\
	src/core/tools/tool_manage_buses.cpp\
	src/core/tools/tool_draw_polygon.cpp\
	src/core/tools/tool_enter_datum.cpp\
	src/core/tools/tool_place_hole.cpp\
	src/core/tools/tool_place_pad.cpp\
	src/core/tools/tool_paste.cpp\
	src/core/tools/tool_assign_part.cpp\
	src/core/tools/tool_map_package.cpp\
	src/core/tools/tool_draw_track.cpp\
	src/core/tools/tool_place_via.cpp\
	src/core/tools/tool_drag_keep_slope.cpp\
	src/core/tools/tool_add_part.cpp\
	src/core/tools/tool_smash.cpp\
	src/core/tools/tool_place_shape.cpp\
	src/core/tools/tool_edit_shape.cpp\
	src/core/tools/tool_import_dxf.cpp\
	src/core/tools/tool_edit_pad_parameter_set.cpp\
	src/core/tools/tool_draw_polygon_rectangle.cpp\
	src/core/tools/tool_draw_line_rectangle.cpp\
	src/core/tools/tool_edit_line_rectangle.cpp\
	src/core/tools/tool_draw_line_circle.cpp\
	src/core/tools/tool_helper_map_symbol.cpp\
	src/core/tools/tool_helper_move.cpp\
	src/core/tools/tool_helper_merge.cpp\
	src/core/tools/tool_edit_via.cpp\
	src/core/tools/tool_rotate_arbitrary.cpp\
	src/core/tools/tool_edit_plane.cpp\
	src/core/tools/tool_update_all_planes.cpp\
	src/core/tools/tool_draw_dimension.cpp\
	src/core/tools/tool_set_diffpair.cpp\
	src/core/tools/tool_set_via_net.cpp\
	src/core/tools/tool_lock.cpp\
	src/core/tools/tool_add_vertex.cpp\
	src/core/tools/tool_place_board_hole.cpp\
	src/core/tools/tool_edit_board_hole.cpp\
	src/core/tools/tool_generate_courtyard.cpp\
	src/core/tools/tool_generate_silkscreen.cpp\
	src/core/tools/tool_set_group.cpp\
	src/core/tools/tool_copy_placement.cpp\
	src/core/tools/tool_copy_tracks.cpp\
	src/core/tools/tool_swap_nets.cpp\
	src/core/tools/tool_line_loop_to_polygon.cpp\
	src/core/tools/tool_change_unit.cpp\
	src/core/tools/tool_helper_line_width_setting.cpp\
	src/core/tools/tool_set_nc_all.cpp\
	src/core/tools/tool_set_nc.cpp\
	src/core/tools/tool_add_keepout.cpp\
	src/core/tools/tool_helper_draw_net_setting.cpp\
	src/core/tools/tool_helper_get_symbol.cpp\
	src/core/tools/tool_change_symbol.cpp\
	src/core/tools/tool_place_refdes_and_value.cpp\
	src/core/tools/tool_helper_restrict.cpp\
	src/core/tools/tool_draw_polygon_circle.cpp\
	src/core/tools/tool_draw_connection_line.cpp\
	src/core/tools/tool_backannotate_connection_lines.cpp\
	src/core/tools/tool_import_kicad_package.cpp\
	src/core/tools/tool_smash_silkscreen_graphics.cpp\
	src/core/tools/tool_renumber_pads.cpp\
	src/core/tools/tool_fix.cpp\
	src/core/tools/tool_nopopulate.cpp\
	src/core/tools/tool_polygon_to_line_loop.cpp\
	src/core/tools/tool_place_board_panel.cpp\
	src/core/tools/tool_smash_panel_outline.cpp\
	src/core/tools/tool_smash_package_outline.cpp\
	src/core/tools/tool_resize_symbol.cpp\
	src/core/tools/tool_round_off_vertex.cpp\
	src/core/tools/tool_swap_gates.cpp\
	src/core/tools/tool_place_picture.cpp\
	src/core/tools/tool_place_decal.cpp\
	src/document/documents.cpp\
	src/core/clipboard.cpp\
	src/core/buffer.cpp\
	src/dialogs/map_pin.cpp\
	src/dialogs/map_symbol.cpp\
	src/dialogs/map_package.cpp\
	src/dialogs/ask_net_merge.cpp\
	src/dialogs/select_net.cpp\
	src/dialogs/symbol_pin_names_window.cpp\
	src/dialogs/manage_buses.cpp\
	src/dialogs/ask_datum.cpp\
	src/dialogs/ask_datum_string.cpp\
	src/dialogs/select_via_padstack.cpp\
	src/dialogs/dialogs.cpp\
	src/dialogs/annotate.cpp\
	src/dialogs/edit_shape.cpp\
	src/dialogs/manage_net_classes.cpp\
	src/dialogs/manage_power_nets.cpp\
	src/dialogs/edit_pad_parameter_set.cpp\
	src/dialogs/edit_via.cpp\
	src/dialogs/pool_browser_dialog.cpp\
	src/dialogs/schematic_properties.cpp\
	src/dialogs/edit_plane.cpp\
	src/dialogs/edit_stackup.cpp\
	src/dialogs/edit_board_hole.cpp\
	src/dialogs/edit_frame.cpp\
	src/dialogs/edit_keepout.cpp\
	src/dialogs/select_group_tag.cpp\
	src/dialogs/ask_datum_angle.cpp\
	src/dialogs/tool_window.cpp\
	src/dialogs/renumber_pads_window.cpp\
	src/dialogs/generate_silkscreen_window.cpp\
	src/dialogs/select_included_board.cpp\
	src/dialogs/manage_included_boards.cpp\
	src/dialogs/enter_datum_window.cpp\
	src/dialogs/router_settings_window.cpp\
	src/util/sort_controller.cpp\
	src/core/core_symbol.cpp\
	src/core/core_schematic.cpp\
	src/core/core_padstack.cpp\
	src/core/core_package.cpp\
	src/core/core_board.cpp\
	src/core/core_frame.cpp\
	src/core/core_decal.cpp\
	src/property_panels/property_panels.cpp\
	src/property_panels/property_panel.cpp\
	src/property_panels/property_editor.cpp\
	src/widgets/warnings_box.cpp\
	src/widgets/net_selector.cpp\
	src/widgets/sheet_box.cpp \
	src/widgets/net_button.cpp\
	src/widgets/layer_box.cpp\
	src/widgets/spin_button_dim.cpp\
	src/widgets/chooser_buttons.cpp\
	src/widgets/cell_renderer_color_box.cpp\
	src/widgets/net_class_button.cpp\
	src/widgets/parameter_set_editor.cpp\
	src/widgets/pool_browser.cpp\
	src/widgets/component_selector.cpp\
	src/widgets/component_button.cpp\
	src/widgets/preview_canvas.cpp\
	src/widgets/about_dialog.cpp\
	src/widgets/project_meta_editor.cpp\
	src/export_pdf/canvas_pdf.cpp\
	src/export_pdf/export_pdf.cpp\
	src/export_pdf/export_pdf_board.cpp\
	src/imp/keyseq_dialog.cpp\
	src/canvas/canvas_patch.cpp\
	src/export_gerber/gerber_writer.cpp\
	src/export_gerber/excellon_writer.cpp\
	src/export_gerber/gerber_export.cpp\
	src/export_gerber/canvas_gerber.cpp\
	src/export_gerber/hash.cpp\
	src/imp/footprint_generator/footprint_generator_window.cpp\
	src/imp/footprint_generator/footprint_generator_base.cpp\
	src/imp/footprint_generator/footprint_generator_dual.cpp\
	src/imp/footprint_generator/footprint_generator_single.cpp\
	src/imp/footprint_generator/footprint_generator_quad.cpp\
	src/imp/footprint_generator/footprint_generator_grid.cpp\
	src/imp/footprint_generator/svg_overlay.cpp\
	src/imp/footprint_generator/footprint_generator_footag.cpp\
	src/imp/footprint_generator/footag/display.cpp\
	src/imp/imp_interface.cpp\
	src/imp/parameter_window.cpp\
	src/widgets/pool_browser_part.cpp\
	src/widgets/pool_browser_entity.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_package.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_unit.cpp\
	src/widgets/pool_browser_symbol.cpp\
	src/widgets/pool_browser_frame.cpp\
	src/widgets/pool_browser_decal.cpp\
	src/widgets/pool_browser_stockinfo.cpp\
	src/widgets/plane_editor.cpp\

=== debian/changelog ===
horizon-eda (1.3.0-1build2) hirsute; urgency=medium

  * Rebuild against new libgit2-1.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Dec 2020 22:25:00 +0100

horizon-eda (1.3.0-1build1) hirsute; urgency=medium

  * Rebuild against new libgit2-1.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Dec 2020 10:25:36 +0100

horizon-eda (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Take out build depend on libyaml-cpp-dev
  * Take out target 'version' from debian/rules

 -- Uwe Steinmann <steinm@debian.org>  Thu, 19 Nov 2020 06:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Uwe Steinmann <steinm@debian.org>
 Uploaders: Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 10), doxygen,
- libyaml-cpp-dev, libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
+ libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
  libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
  libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
  liboce-ocaf-dev, libdxflib-dev,
